Skip to main content
GET
Get render job status

Authorizations

Authorization
string
header
required

Short-lived, Developer-API-audience token obtained by the trusted MCP service through token exchange (mcp_at_...). Raw MCP resource tokens are rejected.

Path Parameters

jobId
string
required

Response

Render job status

jobId
string
required

Render job ID

status
enum<string>
required

Current job status

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
format
enum<string>
required

Output format

Available options:
PDF,
DOCX,
ODT,
PNG,
JPEG
createdAt
string<date-time>
required

Job creation timestamp

downloadUrl
string

Autype API download URL with signed token (only when completed). Alternatively use GET /render/{jobId}/download with API key.

filename
string

Filename for download

error
string

Error message if failed

completedAt
string<date-time>

Job completion timestamp

progress
number

Processing progress (0-100)

pdfProfile
enum<string>
Available options:
standard,
pdfa-1b,
pdfa-2b,
pdfa-3b,
pdfua-1
pdfCompliance
object

Available PDF profile details, including tagged-document and XMP markers.